@import 'mixins.scss';
@import 'modal.scss';
@include font-face('Kanit-Light', 'Kanit-Light', 'serif');
@include font-face('Kanit-Regular', 'Kanit-Regular', 'serif');
@include font-face('Kanit-Medium', 'Kanit-Medium', 'serif');
@include font-face('Kanit-SemiBold', 'Kanit-SemiBold', 'serif');
@include font-face('Cloud-Bold', 'Cloud-Bold', 'serif');
@include font-face('Cloud-Light', 'Cloud-Light', 'serif');
@include font-face('DBXtypeX', 'DBXtypeX', 'serif');
@include font-face('Kanit-Bold', 'Kanit-Bold', 'serif');

body {
    padding:0;
    margin:0;
    box-sizing: border-box;
}
* {
    //user-select: none;
}
h1, h2, h3, h4, h5, h6 {
    margin: 0;
}
ul, li {
    margin: 0px;
    padding: 0px;
    list-style-type: none;
}
a:link, a:visited, a:hover, a:active {
    text-decoration: none;
    color: inherit;
}
.disable{
    pointer-events: none;
    filter: grayscale(1);
    cursor: default;
}
.events-bns {
    width:1105px;
    height:700px;
    font-size:18px;
    position: relative;
    overflow: hidden;
    &__bg {
        width:100%;
        height:100%;
    }
    &__wrapper {
        width:80%;
        margin:0 auto;
        display:block;
        padding:3em 0;
    }
    &__list {
        padding:0;
        margin:0;
        li {
            display: inline-block;
            // margin:1em auto;
            margin-bottom:1em;
            vertical-align: middle;
            width:20%;
            text-align:center;
            a {
                color:#fff;
                text-align:center;
                text-decoration: none;
                font-family: 'Kanit-Medium';
                display:block;
                font-size:1em;
                word-break: break-word;
                img {
                    margin:0 auto;
                    display:block;
                    text-align:center;
                }
            }
        }
    }
    &__bottom {
        display: inline-block;
        vertical-align: middle;
        padding:2em;
        bottom:1em;
        position: absolute;
        left: 0;
        right:0;
        margin-left:auto;
        margin-right:auto;
        width:35%;
        border-radius: 1em;
        background:rgba(255, 255, 255, 0.85);
    }
    &__bottom-list {
        padding:0;
        margin:0 auto;
        text-align:center;
        li {
            display: inline-block;
            vertical-align: middle;
            text-align:center;
            margin:0 1em;
            a {
                display:block;
                img {
                    margin:0 auto;
                    text-align:center;
                    display:block;
                }
            }
        }
    }
}

.events-bns-slide{
    &__dot {
        width: 100%;
        margin-left: auto;
        margin-right: auto;
        right: 0;
        text-align: center;
        .swiper-pagination-bullet {
            background:#fff;
            opacity: 0.55;
        }
        .swiper-pagination-bullet-active {
            background:#fff;
            opacity: 1;
        }
    }
}

// Menu
.left__menu{
    position: fixed;
    top: 0;
    left: 0;
    font-family: "Kanit-Bold",tahoma;
    text-align: left;
    z-index: 2;
    & .menu-icon{
        margin: 20px 0 0 20px;
        display: inline-block;
        cursor: pointer;
    }
    & .menu-close{
        position: absolute;
        top: 10px;
        right: 35px;
        & a{
            width: 25px;
            height: 25px;
            display: block;
            cursor: pointer;
        }
        & a::before,
        & a::after{
            position: absolute;
            left: 10px;
            content: ' ';
            height: 30px;
            width: 2px;
            top: 5px;
            background-color: #fff;
        }
        & a:before{
            -o-transform: rotate(45deg);
            -moz-transform: rotate(45deg);
            -webkit-transform: rotate(45deg);
            transform: rotate(45deg);
        }
        & a::after{
            -o-transform: rotate(-45deg);
            -moz-transform: rotate(-45deg);
            -webkit-transform: rotate(-45deg);
            transform: rotate(-45deg);
        }
    }
    &--list{
        position: absolute;
        top: 0;
        z-index: 999;
        left: -330px;
        width: 270px;
        background: #510303;
        padding: 100px 30px;
        height: 100vh;
        -webkit-transition: all 0.3s ease;
        -moz-transition: all 0.3s ease;
        transition: all 0.3s ease;
        &.show{
            left: 0;
        }
        & a {
            text-decoration: none;
            color: #905d5d;
            font-size: 21px;
            display: block;
            padding: 5px 0;
            &:hover{
                color: #fff;
            }
        }
    }
    & .bg-overlay{
        background-color: rgba(0,0,0,0.9);
        position: absolute;
        left: 0;
        right: 0;
        width: 100vw;
        height: 100vh;
        bottom: 0;
        top: 0;
        z-index: 9;
        display: none;
        &.show{
            display: block;
        }
    }
}
